/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.docs.insult.model.impl;

import com.liferay.docs.insult.model.Insult;
import com.liferay.docs.insult.service.InsultLocalServiceUtil;

import com.liferay.portal.kernel.exception.SystemException;

/**
 * The extended model base implementation for the Insult service. Represents a row in the &quot;Insult_Insult&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link InsultImpl}.
 * </p>
 *
 * @author joebloggs
 * @see InsultImpl
 * @see com.liferay.docs.insult.model.Insult
 * @generated
 */
public abstract class InsultBaseImpl extends InsultModelImpl implements Insult {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this class directly. All methods that expect a insult model instance should use the {@link Insult} interface instead.
	 */
	@Override
	public void persist() throws SystemException {
		if (this.isNew()) {
			InsultLocalServiceUtil.addInsult(this);
		}
		else {
			InsultLocalServiceUtil.updateInsult(this);
		}
	}
}